Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class TransactionParties4

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.TransactionParties4

    public class TransactionParties4
    extends java.lang.Object

Java class for TransactionParties4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionParties4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InitgPty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Party35Choice" minOccurs="0"/>
             <element name="Dbtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Party35Choice" minOccurs="0"/>
             <element name="DbtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CashAccount24" minOccurs="0"/>
             <element name="UltmtDbtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Party35Choice" minOccurs="0"/>
             <element name="Cdtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Party35Choice" minOccurs="0"/>
             <element name="CdtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CashAccount24" minOccurs="0"/>
             <element name="UltmtCdtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Party35Choice" minOccurs="0"/>
             <element name="TradgPty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Party35Choice" minOccurs="0"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ProprietaryParty4" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected Party35Choice` `cdtr`
`protected CashAccount24` `cdtrAcct`
`protected Party35Choice` `dbtr`
`protected CashAccount24` `dbtrAcct`
`protected Party35Choice` `initgPty`
`protected java.util.List<ProprietaryParty4>` `prtry`
`protected Party35Choice` `tradgPty`
`protected Party35Choice` `ultmtCdtr`
`protected Party35Choice` `ultmtDbtr`

### Constructor Summary

Constructors
`TransactionParties4()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Party35Choice` `getCdtr()` Gets the value of the cdtr property.
`CashAccount24` `getCdtrAcct()` Gets the value of the cdtrAcct property.
`Party35Choice` `getDbtr()` Gets the value of the dbtr property.
`CashAccount24` `getDbtrAcct()` Gets the value of the dbtrAcct property.
`Party35Choice` `getInitgPty()` Gets the value of the initgPty property.
`java.util.List<ProprietaryParty4>` `getPrtry()` Gets the value of the prtry property.
`Party35Choice` `getTradgPty()` Gets the value of the tradgPty property.
`Party35Choice` `getUltmtCdtr()` Gets the value of the ultmtCdtr property.
`Party35Choice` `getUltmtDbtr()` Gets the value of the ultmtDbtr property.
`void` `setCdtr​(Party35Choice value)` Sets the value of the cdtr property.
`void` `setCdtrAcct​(CashAccount24 value)` Sets the value of the cdtrAcct property.
`void` `setDbtr​(Party35Choice value)` Sets the value of the dbtr property.
`void` `setDbtrAcct​(CashAccount24 value)` Sets the value of the dbtrAcct property.
`void` `setInitgPty​(Party35Choice value)` Sets the value of the initgPty property.
`void` `setTradgPty​(Party35Choice value)` Sets the value of the tradgPty property.
`void` `setUltmtCdtr​(Party35Choice value)` Sets the value of the ultmtCdtr property.
`void` `setUltmtDbtr​(Party35Choice value)` Sets the value of the ultmtDbtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### initgPty

    protected Party35Choice initgPty

#### dbtr

    protected Party35Choice dbtr

#### dbtrAcct

    protected CashAccount24 dbtrAcct

#### ultmtDbtr

    protected Party35Choice ultmtDbtr

#### cdtr

    protected Party35Choice cdtr

#### cdtrAcct

    protected CashAccount24 cdtrAcct

#### ultmtCdtr

    protected Party35Choice ultmtCdtr

#### tradgPty

    protected Party35Choice tradgPty

#### prtry

    protected java.util.List<ProprietaryParty4> prtry

### Constructor Detail

#### TransactionParties4

    public TransactionParties4()

### Method Detail

#### getInitgPty

    public Party35Choice getInitgPty()

Gets the value of the initgPty property.

Returns:
  possible object is `Party35Choice`

#### setInitgPty

    public void setInitgPty​(Party35Choice value)

Sets the value of the initgPty property.

Parameters:
  `value` - allowed object is `Party35Choice`

#### getDbtr

    public Party35Choice getDbtr()

Gets the value of the dbtr property.

Returns:
  possible object is `Party35Choice`

#### setDbtr

    public void setDbtr​(Party35Choice value)

Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `Party35Choice`

#### getDbtrAcct

    public CashAccount24 getDbtrAcct()

Gets the value of the dbtrAcct property.

Returns:
  possible object is `CashAccount24`

#### setDbtrAcct

    public void setDbtrAcct​(CashAccount24 value)

Sets the value of the dbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount24`

#### getUltmtDbtr

    public Party35Choice getUltmtDbtr()

Gets the value of the ultmtDbtr property.

Returns:
  possible object is `Party35Choice`

#### setUltmtDbtr

    public void setUltmtDbtr​(Party35Choice value)

Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `Party35Choice`

#### getCdtr

    public Party35Choice getCdtr()

Gets the value of the cdtr property.

Returns:
  possible object is `Party35Choice`

#### setCdtr

    public void setCdtr​(Party35Choice value)

Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `Party35Choice`

#### getCdtrAcct

    public CashAccount24 getCdtrAcct()

Gets the value of the cdtrAcct property.

Returns:
  possible object is `CashAccount24`

#### setCdtrAcct

    public void setCdtrAcct​(CashAccount24 value)

Sets the value of the cdtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount24`

#### getUltmtCdtr

    public Party35Choice getUltmtCdtr()

Gets the value of the ultmtCdtr property.

Returns:
  possible object is `Party35Choice`

#### setUltmtCdtr

    public void setUltmtCdtr​(Party35Choice value)

Sets the value of the ultmtCdtr property.

Parameters:
  `value` - allowed object is `Party35Choice`

#### getTradgPty

    public Party35Choice getTradgPty()

Gets the value of the tradgPty property.

Returns:
  possible object is `Party35Choice`

#### setTradgPty

    public void setTradgPty​(Party35Choice value)

Sets the value of the tradgPty property.

Parameters:
  `value` - allowed object is `Party35Choice`

#### getPrtry

    public java.util.List<ProprietaryParty4> getPrtry()

Gets the value of the prtry property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prtry property.

For example, to add a new item, do as follows:

        getPrtry().add(newItem);

Objects of the following type(s) are allowed in the list `ProprietaryParty4`